package cz.muni.fi.pa165.dto;

import cz.muni.fi.pa165.entity.TeamEntity;
import cz.muni.fi.pa165.enums.CountryEnum;
import cz.muni.fi.pa165.enums.TournamentFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * @author mvalko
 */
@Getter
@Setter
public class TournamentDTO extends BaseDTO {

    private String city;

    private String name;

    private CountryEnum country;

    private double prizePool;

    private TournamentFormat tournamentFormat;

    private int teamCapacity;

    private TeamEntity winner;

}
