package cz.muni.fi.pa165.facade;

import cz.muni.fi.pa165.dto.MatchDTO;
import cz.muni.fi.pa165.dto.PlayerDTO;

import java.util.List;

/**
 * @author Dominik Kozubík
 */
public interface MatchFacade {

    List<MatchDTO> findAllMatches();

    MatchDTO getMatchById(String uuid);

    String createMatch(MatchDTO matchDTO);

    void delete(String uuid);
}
