package cz.muni.fi.pa165.facade;

import cz.muni.fi.pa165.dto.PersonAuthenticateDTO;
import cz.muni.fi.pa165.dto.PersonDTO;

import java.util.List;

public interface PersonFacade {

    List<PersonDTO> findAllPeople();

    PersonDTO getPersonById(String uuid);

    PersonDTO getPersonByUsername(String username);

    void delete(String uuid);

    boolean authenticate(PersonAuthenticateDTO person);

    boolean isAdmin(PersonDTO person);
}
