<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="true" session="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<fmt:message var="title" key="navigation.login"/>
<my:pagetemplate title="${title}">
<jsp:attribute name="body">

<form method="POST" action="${pageContext.request.contextPath}/security/login">
    <table>
        <tr>
            <td><label for="username-label">Username:</label></td>
            <td><input id="username-label" type="text" name="username"></td>
        </tr>
        <tr>
            <td><label for="password-label">Password:</label></td>
            <td><input id="password-label" type="password" name="passwordHash" ></td>
        </tr>
    </table>
    <button type="submit" class="btn btn-primary">Login</button>
</form>

</jsp:attribute>
</my:pagetemplate>

